## lime 0.3.0

=== DESCRIPTION ===
Package: lime
Type: Package
Title: Local Interpretable Model-Agnostic Explanations
Version: 0.3.0
Date: 2017-09-14
Authors@R: c(person('Thomas Lin', 'Pedersen', role = c('cre', 'aut'), email = "thomasp85@gmail.com"),
             person('Michaël', 'Benesty', role = c('aut'), email = "michael@benesty.fr"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: When building complex models, it is often difficult to explain why
    the model should be trusted. While global measures such as accuracy are
    useful, they cannot be used for explaining why a model made a specific
    prediction. 'lime' (a port of the 'lime' 'Python' package) is a method for
    explaining the outcome of black box models by fitting a local model around
    the point in question an perturbations of this point. The approach is
    described in more detail in the article by Ribeiro et al. (2016) 
    <arXiv:1602.04938>.
License: MIT + file LICENSE
URL: https://github.com/thomasp85/lime
BugReports: https://github.com/thomasp85/lime/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
VignetteBuilder: knitr
Imports: glmnet, stats, ggplot2, tools, stringi, Matrix, stringdist,
        Rcpp, assertthat, htmlwidgets, shiny, shinythemes
Suggests: xgboost, testthat, mlr, text2vec, MASS, covr, knitr,
        rmarkdown, devtools
LinkingTo: Rcpp, RcppEigen
NeedsCompilation: yes
Packaged: 2017-09-15 12:04:03 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut],
  Michaël Benesty [aut]
Repository: CRAN
Date/Publication: 2017-09-15 12:14:56 UTC
