## lime 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: lime
 Type: Package
 Title: Local Interpretable Model-Agnostic Explanations
-Version: 0.3.1
-Date: 2017-11-24
+Version: 0.4.0
+Date: 2018-03-08
 Authors@R: c(person('Thomas Lin', 'Pedersen', role = c('cre', 'aut'), email = "thomasp85@gmail.com"),
              person('Michaël', 'Benesty', role = c('aut'), email = "michael@benesty.fr"))
 Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
@@ -19,16 +19,17 @@
 BugReports: https://github.com/thomasp85/lime/issues
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.0.1
+RoxygenNote: 6.0.1.9000
 VignetteBuilder: knitr
 Imports: glmnet, stats, ggplot2, tools, stringi, Matrix, stringdist,
-        Rcpp, assertthat, htmlwidgets, shiny, shinythemes
+        Rcpp, assertthat, htmlwidgets, shiny, shinythemes, magick,
+        methods, grDevices, gower
 Suggests: xgboost, testthat, mlr, h2o, text2vec, MASS, covr, knitr,
-        rmarkdown, devtools
+        rmarkdown, devtools, keras
 LinkingTo: Rcpp, RcppEigen
 NeedsCompilation: yes
-Packaged: 2017-11-24 09:24:29 UTC; thomas
+Packaged: 2018-03-08 22:29:41 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut],
   Michaël Benesty [aut]
 Repository: CRAN
-Date/Publication: 2017-11-24 10:11:26 UTC
+Date/Publication: 2018-03-08 22:50:58 UTC
