## lime 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: lime
 Type: Package
 Title: Local Interpretable Model-Agnostic Explanations
-Version: 0.4.0
-Date: 2018-03-08
+Version: 0.4.1
+Date: 2018-11-21
 Authors@R: c(person('Thomas Lin', 'Pedersen', role = c('cre', 'aut'), email = "thomasp85@gmail.com"),
              person('Michaël', 'Benesty', role = c('aut'), email = "michael@benesty.fr"))
 Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
@@ -19,17 +19,17 @@
 BugReports: https://github.com/thomasp85/lime/issues
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 6.0.1.9000
+RoxygenNote: 6.1.1
 VignetteBuilder: knitr
-Imports: glmnet, stats, ggplot2, tools, stringi, Matrix, stringdist,
-        Rcpp, assertthat, htmlwidgets, shiny, shinythemes, magick,
-        methods, grDevices, gower
+Imports: glmnet, stats, ggplot2, tools, stringi, Matrix, Rcpp,
+        assertthat, htmlwidgets, shiny, shinythemes, methods,
+        grDevices, gower
 Suggests: xgboost, testthat, mlr, h2o, text2vec, MASS, covr, knitr,
-        rmarkdown, devtools, keras
+        rmarkdown, devtools, magick, keras, ranger
 LinkingTo: Rcpp, RcppEigen
 NeedsCompilation: yes
-Packaged: 2018-03-08 22:29:41 UTC; thomas
+Packaged: 2018-11-21 12:20:40 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut],
   Michaël Benesty [aut]
 Repository: CRAN
-Date/Publication: 2018-03-08 22:50:58 UTC
+Date/Publication: 2018-11-21 12:50:02 UTC
