## lime 0.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Package: lime
 Type: Package
 Title: Local Interpretable Model-Agnostic Explanations
-Version: 0.5.2
+Version: 0.5.3
 Authors@R: 
-    c(person(given = "Thomas Lin",
+    c(person(given = "Emil",
+             family = "Hvitfeldt",
+             role = c("aut", "cre"),
+             email = "emilhhvitfeldt@gmail.com",
+             comment = c(ORCID = "0000-0002-0679-1945")),
+      person(given = "Thomas Lin",
              family = "Pedersen",
-             role = c("cre", "aut"),
+             role = c("aut"),
              email = "thomasp85@gmail.com",
              comment = c(ORCID = "0000-0002-5147-4711")),
       person(given = 'Michaël', 
              family = 'Benesty', 
              role = c('aut'), 
              email = "michael@benesty.fr"))
-Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
+Maintainer: Emil Hvitfeldt <emilhhvitfeldt@gmail.com>
 Description: When building complex models, it is often difficult to explain why
     the model should be trusted. While global measures such as accuracy are
     useful, they cannot be used for explaining why a model made a specific
@@ -26,7 +31,7 @@
 BugReports: https://github.com/thomasp85/lime/issues
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 VignetteBuilder: knitr
 Imports: glmnet, stats, ggplot2, tools, stringi, Matrix, Rcpp,
         assertthat, methods, grDevices, gower
@@ -35,9 +40,9 @@
         shinythemes, ranger
 LinkingTo: Rcpp, RcppEigen
 NeedsCompilation: yes
-Packaged: 2021-02-24 11:20:57 UTC; thomas
-Author: Thomas Lin Pedersen [cre, aut]
-    (<https://orcid.org/0000-0002-5147-4711>),
+Packaged: 2022-08-18 12:46:04 UTC; thomas
+Author: Emil Hvitfeldt [aut, cre] (<https://orcid.org/0000-0002-0679-1945>),
+  Thomas Lin Pedersen [aut] (<https://orcid.org/0000-0002-5147-4711>),
   Michaël Benesty [aut]
 Repository: CRAN
-Date/Publication: 2021-02-24 12:00:02 UTC
+Date/Publication: 2022-08-19 08:50:06 UTC
