## lime 0.5.4

=== DESCRIPTION ===
Type: Package
Package: lime
Title: Local Interpretable Model-Agnostic Explanations
Version: 0.5.4
Authors@R: c(
    person("Emil", "Hvitfeldt", , "emil.hvitfeldt@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-0679-1945")),
    person("Thomas Lin", "Pedersen", , "thomasp85@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0002-5147-4711")),
    person("Michaël", "Benesty", , "michael@benesty.fr", role = "aut")
  )
Maintainer: Emil Hvitfeldt <emil.hvitfeldt@posit.co>
Description: When building complex models, it is often difficult to
    explain why the model should be trusted. While global measures such as
    accuracy are useful, they cannot be used for explaining why a model
    made a specific prediction. 'lime' (a port of the 'lime' 'Python'
    package) is a method for explaining the outcome of black box models by
    fitting a local model around the point in question an perturbations of
    this point. The approach is described in more detail in the article by
    Ribeiro et al. (2016) <doi:10.48550/arXiv.1602.04938>.
License: MIT + file LICENSE
URL: https://lime.data-imaginist.com,
        https://github.com/tidymodels/lime,
        https://lime.data-imaginist.com/
BugReports: https://github.com/tidymodels/lime/issues
Depends: R (>= 4.1)
Imports: assertthat, ggplot2, glmnet, glue, gower, grDevices,
        lifecycle, Matrix, methods, Rcpp, rlang, stats, stringi, tools
Suggests: covr, h2o, htmlwidgets, keras, knitr, magick, MASS, mlr,
        ranger, rmarkdown, sessioninfo, shiny, shinythemes, testthat
        (>= 3.0.0), text2vec, xgboost
LinkingTo: Rcpp, RcppEigen
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-12-08
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2025-12-10 00:24:27 UTC; emilhvitfeldt
Author: Emil Hvitfeldt [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-0679-1945>),
  Thomas Lin Pedersen [aut] (ORCID:
    <https://orcid.org/0000-0002-5147-4711>),
  Michaël Benesty [aut]
Repository: CRAN
Date/Publication: 2025-12-11 16:00:02 UTC
