=== debian/changelog ===
lime (5.0.37+dfsg-5) unstable; urgency=medium

  * Rebuild for libsoci ABI bump, see Bug#1021125

 -- Bernhard Schmidt <berni@debian.org>  Sun, 16 Oct 2022 11:38:33 +0200

lime (5.0.37+dfsg-4) unstable; urgency=medium

  * Release to unstable.
  * d/gbp.conf for debian/unstable branch

 -- Bernhard Schmidt <berni@debian.org>  Mon, 12 Sep 2022 20:27:46 +0200

lime (5.0.37+dfsg-3) experimental; urgency=medium

  * Move default-jdk to Build-Depends as well

 -- Bernhard Schmidt <berni@debian.org>  Thu, 18 Aug 2022 10:22:20 +0200

lime (5.0.37+dfsg-2) experimental; urgency=medium

  * Move javahelper from Build-Depends-Indeps to Build-Depends
    (Closes: #1017585)

 -- Bernhard Schmidt <berni@debian.org>  Thu, 18 Aug 2022 09:06:46 +0200

lime (5.0.37+dfsg-1) experimental; urgency=medium

  * Initial release.
  * Features DH key exchange with Curve448-Goldilocks and Curve25519
  * JNI-based Java wrapper (liblime-java)
  * Doxygen documentation (liblime-doc)
  * Static libraries are not shipped; file a bug if you need them.

 -- Dennis Filder <d.filder@web.de>  Wed, 08 Jun 2022 23:36:03 +0200
