=== debian/changelog ===
lime (5.1.64+dfsg-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 27 Nov 2022 17:49:04 +0100

lime (5.1.64+dfsg-1) unstable; urgency=medium

  * New upstream release 5.1.64
  * Build documentation reproducibly.

 -- Dennis Filder <d.filder@web.de>  Wed, 05 Oct 2022 18:55:07 +0200
