=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
  default-jdk (>= 2:1.7) <!nojava>,
  javahelper <!nojava>,
 Build-Depends-Arch:
- libbctoolbox-dev (>= 5.0.37~),
+ libbctoolbox-dev (>= 5.1.64~),
  libsoci-dev,
  libsqlite3-dev,
  libboost1.74-dev,
 Build-Depends-Indep:
  doxygen <!nodoc>,
-Standards-Version: 4.6.0
+ libregexp-assemble-perl <!nodoc>,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: libs
 Homepage: http://www.linphone.org/technical-corner/lime
