=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #export DH_VERBOSE = 1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 export DEB_VERSION_UPSTREAM
 
@@ -47,9 +48,21 @@
 
 override_dh_auto_build-arch:
 	dh_auto_build -- lime
-	mkdir -p obj-$(DEB_HOST_MULTIARCH)/doc/html
+	mkdir -p obj-$(DEB_HOST_GNU_TYPE)/doc/html
 
+export CURDIR
 override_dh_auto_build-indep:
 	dh_auto_build -- \
 		$(call when-in-build-profile,nojava,,Lime) \
 		$(call when-in-build-profile,nodoc,,doc)
+# Doxygen puts the build path into some files with AFAIK no Off knob.
+# Edit it out manually, but sometimes $CURDIR contains RE-metacharacters,
+# so escape those first.
+
+# from tests.reproducible-builds.org
+#export CURDIR = /build/2/lime-5.0.37+dfsg/2nd
+#all:
+ifeq (x,$(call when-building-package,liblime-doc,x))
+	find obj-$(DEB_HOST_GNU_TYPE)/doc/html -type f -print0 | xargs -0 \
+		sed -z -i -E -e "s@$$(perl -MRegexp::Assemble -e 'print substr(Regexp::Assemble->new->add(quotemeta($$ENV{CURDIR})), 4, -1)')/@@g"
+endif
